Create User
curl -X POST "https://sandbox-api.aparatech.io/v3/users/individual" \
-H "Content-Type: application/json" \
-H "MID: example_string" \
-d '{
"firstName": "John Doe",
"lastName": "John Doe",
"email": "user@example.com",
"dob": "2024-12-25",
"phone": "+1-555-0123",
"phoneCode": "+1-555-0123",
"country": "USA",
"address": {
"street": "example_string",
"city": "New York",
"state": "example_string",
"postalCode": "example_string"
}
}'
import requests
import json
url = "https://sandbox-api.aparatech.io/v3/users/individual"
headers = {
"Content-Type": "application/json",
"MID": "example_string"
}
data = {
"firstName": "John Doe",
"lastName": "John Doe",
"email": "user@example.com",
"dob": "2024-12-25",
"phone": "+1-555-0123",
"phoneCode": "+1-555-0123",
"country": "USA",
"address": {
"street": "example_string",
"city": "New York",
"state": "example_string",
"postalCode": "example_string"
}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://sandbox-api.aparatech.io/v3/users/individual", {
method: "POST",
headers: {
"Content-Type": "application/json",
"MID": "example_string"
},
body: JSON.stringify({
"firstName": "John Doe",
"lastName": "John Doe",
"email": "user@example.com",
"dob": "2024-12-25",
"phone": "+1-555-0123",
"phoneCode": "+1-555-0123",
"country": "USA",
"address": {
"street": "example_string",
"city": "New York",
"state": "example_string",
"postalCode": "example_string"
}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"firstName": "John Doe",
"lastName": "John Doe",
"email": "user@example.com",
"dob": "2024-12-25",
"phone": "+1-555-0123",
"phoneCode": "+1-555-0123",
"country": "USA",
"address": {
"street": "example_string",
"city": "New York",
"state": "example_string",
"postalCode": "example_string"
}
}`)
req, err := http.NewRequest("POST", "https://sandbox-api.aparatech.io/v3/users/individual", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("MID", "example_string")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://sandbox-api.aparatech.io/v3/users/individual')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['MID'] = 'example_string'
request.body = '{
"firstName": "John Doe",
"lastName": "John Doe",
"email": "user@example.com",
"dob": "2024-12-25",
"phone": "+1-555-0123",
"phoneCode": "+1-555-0123",
"country": "USA",
"address": {
"street": "example_string",
"city": "New York",
"state": "example_string",
"postalCode": "example_string"
}
}'
response = http.request(request)
puts response.body
{}
POST
/v3/users/individual
POST
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Headers
Body
application/json
Responses
User Created
Was this page helpful?
Last updated 3 days ago
Built with Documentation.AI